package com.atguigu.order.service.module;

import com.atguigu.feign.cart.CartFeignClient;
import com.atguigu.spzx.model.entity.h5.CartInfo;
import com.atguigu.spzx.model.entity.order.OrderItem;
import org.jetbrains.annotations.NotNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class OrderInfoServiceModule {
    @Autowired
    private CartFeignClient cartFeignClient;

    @NotNull
    public ArrayList<OrderItem> getOrderItems() {
        List<CartInfo> cartInfoList = cartFeignClient.getAllChecked().getData();
        // 创建LIst集合封装订单项
        ArrayList<OrderItem> orderItems = new ArrayList<>();
        cartInfoList.forEach(cartInfo -> {
            OrderItem orderItem = new OrderItem();
            orderItem.setSkuId(cartInfo.getSkuId());
            orderItem.setSkuName(cartInfo.getSkuName());
            orderItem.setSkuNum(cartInfo.getSkuNum());
            orderItem.setSkuPrice(cartInfo.getCartPrice());
            orderItem.setThumbImg(cartInfo.getImgUrl());
            orderItems.add(orderItem);
        });
        return orderItems;
    }
}
