package com.atguigu.user.service.module;

import com.atguigu.constant.MessageConstant;
import com.atguigu.exception.BunnyException;
import com.atguigu.utils.HttpUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.HttpResponse;

import java.util.HashMap;
import java.util.Map;

@Slf4j
public class SmsServiceModule {

    /**
     * 发送短信
     *
     * @param phone 手机号
     * @param code  验证码
     */
    public static void sendMessage(String phone, String code) throws Exception {
        String host = "https://gyytz.market.alicloudapi.com";
        String path = "/sms/smsSend";
        String method = "POST";
        String appcode = "5a4cb12374904a7fa2975ec5a1a9d50f";
        Map<String, String> headers = new HashMap<>();
        headers.put("Authorization", "APPCODE " + appcode);
        Map<String, String> querys = new HashMap<>();
        querys.put("mobile", phone);
        querys.put("param", "**code**:" + code + ",**minute**:5");
        querys.put("smsSignId", "2e65b1bb3d054466b82f0c9d125465e2");
        querys.put("templateId", "908e94ccf08b4476ba6c876d13f084ad");
        Map<String, String> bodys = new HashMap<>();

        HttpResponse response = HttpUtils.doPost(host, path, method, headers, querys, bodys);
        log.info("请求完成响应：{}", response);

        if (response.getStatusLine().getStatusCode() > 300) {
            throw new BunnyException(MessageConstant.MESSAGE_CODE_UNAUTHORIZED);
        }
    }
}
